curl "https://www.mapsdata.io/api/v1/enrichments?page=1&page_size=20" \
-H "x-api-key: md_live_your_key"
{
"items": [
{
"id": "4a982a10-b50e-440d-a4f4-0f6b2af8a965",
"name": "Plumbing companies to enrich",
"status": "enriching",
"source": "provided",
"origin": "api",
"lead_count": 2,
"credits_charged": 2,
"enrich_contacts": true,
"enriched_count": 1,
"run_id": null,
"error": null,
"delete_requested": false,
"actor_input": {
"query": "Standalone enrichment",
"location": "Provided businesses",
"maxResults": 2,
"language": "en",
"businesses": [
{"business_name": "Plumbing NYC", "website_url": "https://www.plumbingnyc.com"},
{"business_name": "A&E NYC Plumbing", "website_url": "https://www.aeplumbingnyc.com"}
]
},
"created_at": "2026-10-01T10:42:00Z",
"finished_at": null
}
],
"total": 1
}
Endpoints
List enrichments
List standalone enrichment jobs owned by the account.
GET
/
enrichments
curl "https://www.mapsdata.io/api/v1/enrichments?page=1&page_size=20" \
-H "x-api-key: md_live_your_key"
{
"items": [
{
"id": "4a982a10-b50e-440d-a4f4-0f6b2af8a965",
"name": "Plumbing companies to enrich",
"status": "enriching",
"source": "provided",
"origin": "api",
"lead_count": 2,
"credits_charged": 2,
"enrich_contacts": true,
"enriched_count": 1,
"run_id": null,
"error": null,
"delete_requested": false,
"actor_input": {
"query": "Standalone enrichment",
"location": "Provided businesses",
"maxResults": 2,
"language": "en",
"businesses": [
{"business_name": "Plumbing NYC", "website_url": "https://www.plumbingnyc.com"},
{"business_name": "A&E NYC Plumbing", "website_url": "https://www.aeplumbingnyc.com"}
]
},
"created_at": "2026-10-01T10:42:00Z",
"finished_at": null
}
],
"total": 1
}
Returns standalone enrichment jobs owned by the account, newest first. Google Maps discovery jobs remain available from
GET /searches.
curl "https://www.mapsdata.io/api/v1/enrichments?page=1&page_size=20" \
-H "x-api-key: md_live_your_key"
{
"items": [
{
"id": "4a982a10-b50e-440d-a4f4-0f6b2af8a965",
"name": "Plumbing companies to enrich",
"status": "enriching",
"source": "provided",
"origin": "api",
"lead_count": 2,
"credits_charged": 2,
"enrich_contacts": true,
"enriched_count": 1,
"run_id": null,
"error": null,
"delete_requested": false,
"actor_input": {
"query": "Standalone enrichment",
"location": "Provided businesses",
"maxResults": 2,
"language": "en",
"businesses": [
{"business_name": "Plumbing NYC", "website_url": "https://www.plumbingnyc.com"},
{"business_name": "A&E NYC Plumbing", "website_url": "https://www.aeplumbingnyc.com"}
]
},
"created_at": "2026-10-01T10:42:00Z",
"finished_at": null
}
],
"total": 1
}
Continue the enrichment workflow
- Inspect a job’s progress with
GET /enrichments/{job_id}. - Read its enriched businesses with
GET /enrichments/{job_id}/results. - Submit another batch with
POST /enrichments.
